{
  writeShellApplication
  , pv
  , gzip
}:

writeShellApplication {
  name = "custom-zcat-with-progress";

  runtimeInputs = [
    pv
    gzip
  ];

  text = ''
    zcat "$1" | pv -s "$(gzip -dc "$1" | wc -c)"
  '';
}
